Put
/api/mcp-manager/mcp-servers/{serverId}/tools/{toolId}
Only supported for non-OAuth servers (oauthServer=false).
Security
HTTP
Type bearer
Path parameters
serverId
stringRequired
toolId
stringRequired
Body parameters
object
toolId
string
name
string Required
description
string
inputSchema
object
JSON Schema object describing the tool's expected input parameters (MCP protocol format).
Responses
200
Tool updated successfully
object
toolId
string
name
string
description
string
inputSchema
object
JSON Schema object describing the tool's expected input parameters (MCP protocol format).
400
Invalid input, or the target server is an OAuth server
404
Tool not found
409
Tool name already exists for this server